<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}" xmlns:sd="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Pejabat Matrikulasi</title>
</head>
<body>

<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Pejabat Matrikulasi List</h3>
                    </div>
                    <div class="col-md-6" align="right">
<!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>



            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/pejabat_matrikulasi/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Pejabat</a>
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">#</th>
                    <th>Pejabat</th>
                    <th>Mulai Tanggal</th>
                    <th>Sampai Tanggal</th>
                    <th colspan="2" class="text-center">Options</th>
<!--                    <th style="width: 40px"></th>-->
                </tr>
                <tr th:each="dataPejabatMatrikulasi,row : ${listPejabatMatrikulasi}">
                    <td th:text="${(row.index + 1) + (listPejabatMatrikulasi.number * listPejabatMatrikulasi.size)}">2.</td>
                    <td th:text="${dataPejabatMatrikulasi.karyawan.namaKaryawan}">Hasan Ishak</td>
                    <td th:text="${#temporals.format(dataPejabatMatrikulasi.tanggalMulai,'dd-MMM-yyyy')}">01-Jan-2019</td>
                    <td th:text="${#temporals.format(dataPejabatMatrikulasi.tanggalSelesai,'dd-MMM-yyyy')}">31-Des-2019</td>
                    <td>
                        <a class="btn btn-success btn-xs" th:href="@{/setting/pejabat_matrikulasi/edit(pejabat = ${dataPejabatMatrikulasi.id})}">
                            <i class="fa fa-edit"></i>Edit</a>
                    </td>
                    <td>
                        <form method="post" th:action="@{/setting/pejabat_matrikulasi/hapus(pejabat=${dataPejabatMatrikulasi.id})}">
                            <button type="submit" class="btn btn-danger btn-xs"
                                    onclick="return confirm('Are you sure want to delete this?')">
                                <i class="fa fa-trash"></i>Delete
                            </button>
                        </form>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(listPejabatMatrikulasi.content)}">
                    <td colspan="5" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>